For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get All Currencies

GET https://api.sfox.com/v1/currency

Retrieve a list of currencies your account has access to. Currency settings are returned in the response.

Responses

200
[
    {
        "id": 1,
        "symbol": "usd",
        "name": "US Dollar",
        "is_fiat": 1,
        "is_lending_enabled": 0,
        "can_deposit": 1,
        "can_withdraw": 1,
        "min_withdrawal": 10,
        "confirmations_needed": null,
        "precision": 8,
        "ascii_sign": "$",
        "contract_address": null,
        "custody_enabled": 1,
        "trading_enabled": 1,
        "primary_network": null,
        "code": "usd",
        "currency": "usd"
    },
    {
        "id": 2,
        "symbol": "btc",
        "name": "Bitcoin",
        "is_fiat": 0,
        "is_lending_enabled": 0,
        "can_deposit": 1,
        "can_withdraw": 1,
        "min_withdrawal": 0.001,
        "confirmations_needed": 3,
        "precision": 8,
        "ascii_sign": "B",
        "contract_address": null,
        "custody_enabled": 1,
        "trading_enabled": 1,
        "primary_network": "Bitcoin",
        "code": "btc",
        "currency": "btc"
    }
]

Example Requests

curl -H 'Authorization: Bearer <API_TOKEN>' \ 
-H 'Content-Type: application/json' \
-X GET \
'https://api.sfox.com/v1/currency'
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/currency',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
import requests

data = requests.get(
  "https://api.sfox.com/v1/currency",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)

Last updated